<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Document</title>
</head>

<body>
    <div class="container-fluid div-background-picture">
        <form id="form-login" action="#" method="post">
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-8 text-center mx-auto my-0 jumbotron">
                    <div class="mb-5">
                        <h3 class="text-center">Forgot your Password?</h3>
                    </div>
                    <div class="mb-5">
                        <h3 class="text-center">Enter your email address and we will send you instructions to reset your
                            password</h3>
                    </div>
                    <div class="form-group">
                        <input name="email" id="inp-email" placeholder="Email" class="form-control" value=""
                            autocomplete="inp-current-password" type="email">
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-log btn-block btn-info">Continue</button>
                    </div>
                </div>
            </div>
        </form>
    </div>

</body>
<script>
    $(document).ready(function () {
        $("#form-login").on("submit", function (event) {
            event.preventDefault();
            onBtnContinue();
        })
    })
    function onBtnContinue(){
        var vEmail = {
            email:"",
        }
        readDataEmail(vEmail);
        var vDuLieu = validate(vEmail);
        if(vDuLieu){
            showDataEmail(vEmail);
        }
    }
    function readDataEmail(paramEmail){
        paramEmail.email = $("#inp-email").val().trim();
    }
    function validate(paramEmail){
        var vRegexStr = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
        if(paramEmail.email == ""){
            alert("Bạn chưa nhập Email");
            return false ;
        }
        if(!vRegexStr.test(paramEmail.email)){
            alert("Bạn nhập chưa đúng Email");
            $("#inp-email").focus();
            return false ;
        }
        return true ;
    }
    function showDataEmail(paramEmail){
        console.log("Email là :  "  + paramEmail.email);
    }
</script>

</html>